Bug 135836 - Add ability to define default --with and --preload parameters
Summary: Add ability to define default --with and --preload parameters
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-15 11:05 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 5.0.5-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 15:21:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to archive desired behaviour (369 bytes, text/plain)
2004-11-20 16:32 UTC, Ralf Ertzinger
no flags Details

Description Ralf Ertzinger 2004-10-15 11:05:39 UTC
Description of problem:
I'd like to be able to specify modules that are to be built into every
initrd made by mkinitrd (in my special case it is the rivafb module).
When manually creating the initrd, I can specify this using "--with"
and "--preload". I can not do this when the initrd is created
automatically (by a new kernel install, for example).

So I suggest to create a file (/etc/sysconfig/initrd ?) where modules
to be added to every initrd can be specified.

Version-Release number of selected component (if applicable):
mkinitrd-4.1.15-1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ralf Ertzinger 2004-11-20 16:32:22 UTC
Created attachment 107117 [details]
Patch to archive desired behaviour

The attached patch makes mkinitrd behave as I'd like it to. It reads
/etc/sysconfig/mkinitrd (if it exists), and adds the values found in PRELOAD
and WITH to the internal lists of modules.

Comment 2 Peter Jones 2006-02-02 15:21:26 UTC
Fixed in current release, though not quite as you've got here -- define PREMODS
or MODULES in /etc/sysconfig/mkinitrd.

Comment 3 Ralf Ertzinger 2006-02-02 15:45:15 UTC
That'll do just fine, thanks!


Note You need to log in before you can comment on or make changes to this bug.